EssenceStreamDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class EssenceStreamDescriptor

- java.lang.Object
- - tv.amwa.maj.io.mxf.EssenceStreamDescriptor

-     public class EssenceStreamDescriptor
      extends Object

  Description of an essence stream.

  See Also:
    `BodyStream`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EssenceStreamDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `EssenceDescriptorImpl` | `getDescriptor()`
    `UUID` | `getSourceFormat()`
    `int` | `getStreamID()`
    `List<EssenceStreamDescriptor>` | `getSubStreams()`
    `void` | `setDescription(String description)`
    `void` | `setDescriptor(EssenceDescriptorImpl descriptor)`
    `void` | `setSourceFormat(UUID sourceFormat)`
    `void` | `setStreamID(int streamID)`
    `void` | `setSubStreams(List<EssenceStreamDescriptor> subStreams)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EssenceStreamDescriptor

          public EssenceStreamDescriptor()

  - ### Method Detail

    - #### getStreamID

          public int getStreamID()

    - #### setStreamID

          public void setStreamID(@UInt32
                                  int streamID)
                           throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getSourceFormat

          public UUID getSourceFormat()

    - #### setSourceFormat

          public void setSourceFormat(UUID sourceFormat)

    - #### getDescriptor

          public EssenceDescriptorImpl getDescriptor()

    - #### setDescriptor

          public void setDescriptor(EssenceDescriptorImpl descriptor)

    - #### getSubStreams

          public List<EssenceStreamDescriptor> getSubStreams()

    - #### setSubStreams

          public void setSubStreams(List<EssenceStreamDescriptor> subStreams)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.